# DarContact: Colin Walters <walters@verbum.org>

Summary: A music management application.
Name: rhythmbox
Version: 0.5.3
Release: 0.fr
License: GPL
Group: Applications/Multimedia
URL: http://www.rhythmbox.org/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.rhythmbox.org/downloads/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

BuildRequires: gtk2-devel >= 2.2.0
BuildRequires: libgnomeui-devel >= 2.2.0
%{!?_with_xine:BuildRequires: gstreamer-devel >= 0.6}
BuildRequires: flac-devel, libvorbis-devel, libid3tag-devel
BuildRequires: libmusicbrainz-devel >= 2.0.0
%{?_with_xine:BuildRequires: xine-lib-devel}
Requires: gstreamer-plugins >= 0.6
Obsoletes: net-rhythmbox <= 0.5.0

%description
Music management application with support for ripping audio-cd's,
playback of Ogg Vorbis and Mp3 and burning of cdroms.

Available rpmbuild rebuild options :
--with : xine

%prep
%setup

%build
%configure \
	%{?_with_xine:--enable-xine} \
	--disable-dependency-tracking \
	--disable-schemas-install
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
%makeinstall
%find_lang %{name}

### FIXME: Error on file "rhythmbox.desktop": Error in section Desktop Entry at line 24: Invalid characters in locale name
#desktop-file-install --vendor gnome --delete-original \
#	--add-category X-Red-Hat-Base                 \
#	--dir %{buildroot}%{_datadir}/applications    \
#	%{buildroot}%{_datadir}/applications/*.desktop

### Clean up buildroot
%{__rm} -f %{buildroot}%{_libdir}/bonobo/*.a \
		%{buildroot}%{_libdir}/bonobo/*.la

%post 
/sbin/ldconfig
export GCONF_CONFIG_SOURCE="$(gconftool-2 --get-default-source)"
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null
scrollkeeper-update -q

%postun
/sbin/ldconfig
scrollkeeper-update -q

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING DOCUMENTERS README MAINTAINERS NEWS THANKS TODO
#%doc %{_datadir}/gnome/help/rhythmbox/
%config %{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%{_libdir}/bonobo/*.so
%{_libdir}/bonobo/servers/*.server
%{_libdir}/pkgconfig/*.pc
%{_datadir}/rhythmbox/
%{_datadir}/application-registry/*
%{_datadir}/applications/*.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/gnome-2.0/ui/*.xml
%{_datadir}/idl/*.idl
%{_datadir}/mime-info/*
%{_datadir}/omf/%{name}
%{_datadir}/pixmaps/*.png

%changelog
* Thu Aug 28 2003 Matthias Saou
- Update to 0.5.2.

* Mon Aug 18 2003 Dag Wieers <dag@wieers.com> - 0.5.1-0
- Updated to release 0.5.1.

* Sun Aug 17 2003 Dag Wieers <dag@wieers.com> - 0.5.0-0
- Renamed to rhythmbox.
- Updated to release 0.5.0.

* Fri May 09 2003 Dag Wieers <dag@wieers.com> - 0.4.8-0
- Initial package. (using DAR)
